<antlr.CommonAST text="PROG" type="34">
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="makesquare" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="50" type="9"/><antlr.CommonAST text="red" type="33"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="setx" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="350" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="250" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="circle" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="makecircle" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="10" type="9"/><antlr.CommonAST text="yellow" type="33"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="circle" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="setx" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="circle" type="8"/><antlr.CommonAST text="150" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="circle" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="circle" type="8"/><antlr.CommonAST text="150" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="rect" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="makerect" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="50" type="9"/><antlr.CommonAST text="20" type="9"/><antlr.CommonAST text="green" type="33"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="rect" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="setx" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="rect" type="8"/><antlr.CommonAST text="400" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="rect" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="rect" type="8"/><antlr.CommonAST text="400" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="makegroup" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="addtogroup" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="circle" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="angle" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="globalnumber" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="angle2" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="globalnumber" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="inc" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="globalnumber" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="loop" type="44">
<antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="1" type="9"/><antlr.CommonAST text="23" type="9"/><antlr.CommonAST text="k" type="8"/></antlr.CommonAST>
<antlr.CommonAST text="BLOCK_STMT" type="36">
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="s" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="makesquare" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="7" type="9"/><antlr.CommonAST text="darkgray" type="33"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="s2" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="makesquare" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="7" type="9"/><antlr.CommonAST text="lightblue" type="33"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="a" type="8"/><antlr.CommonAST text="*" type="17">
<antlr.CommonAST text="k" type="8"/><antlr.CommonAST text=".3" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="cos" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="a" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sin" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="a" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="*" type="17">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="80" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="+" type="18">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="200" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="*" type="17">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="80" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="+" type="18">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="125" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="s" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="setx" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="s" type="8"/><antlr.CommonAST text="cx" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="s" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="s" type="8"/><antlr.CommonAST text="sy" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="-" type="19">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="2" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="-" type="19">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="2" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="s2" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="setx" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="s2" type="8"/><antlr.CommonAST text="cx" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="s2" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="s2" type="8"/><antlr.CommonAST text="sy" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="addtogroup" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="s" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="addtogroup" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="s2" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="animate" type="43">
<antlr.CommonAST text="BLOCK_STMT" type="36">
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="inc" type="8"/><antlr.CommonAST text="5" type="9"/></antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="x" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="getx" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="circlesquare" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="gety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="circlesquare" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="angle" type="8"/><antlr.CommonAST text="+" type="18">
<antlr.CommonAST text="angle" type="8"/><antlr.CommonAST text=".1" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="cos" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="angle" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="*" type="17">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="100" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sin" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="angle" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="*" type="17">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="100" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="setx" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="cx" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="circlesquare" type="8"/><antlr.CommonAST text="sy" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="x" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="getx" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="rect" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="gety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="rect" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="angle2" type="8"/><antlr.CommonAST text="-" type="19">
<antlr.CommonAST text="angle2" type="8"/><antlr.CommonAST text=".2" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="cos" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="angle2" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="*" type="17">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="50" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="+" type="18">
<antlr.CommonAST text="cx" type="8"/><antlr.CommonAST text="200" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sin" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="angle2" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="*" type="17">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="50" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="+" type="18">
<antlr.CommonAST text="sy" type="8"/><antlr.CommonAST text="200" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="rect" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="setx" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="rect" type="8"/><antlr.CommonAST text="cx" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="rect" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="rect" type="8"/><antlr.CommonAST text="sy" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="gety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="square" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="if" type="41">
<antlr.CommonAST text="&gt;" type="27">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="500" type="9"/></antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="UMINUS" type="40">
<antlr.CommonAST text="175" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="+" type="18">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="inc" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="y" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>

